Update the details of an existing order in your Routific workspace
A PUT request to the /orders endpoint allows you to update the order details for the orderUuid specified in the request url. It uses the same format as the Create orders endpoint, so you can reference that page for accepted fields.
Request URL
This is a PUT requestMake sure to include everything in the body because if you don't any previous values assigned to a field will be reset to NULL.
For example, if you've previously assigned a phone number to the order upon creation, and during this update request if you haven't included the phone number field with its original value, then the original value for the field will be cleared.
Sample Request Payload
{
"name": "Metro",
"locations": [
{
"address": "510 W 8th Ave, Vancouver, BC V5Z 1C5",
"latitude": 49.26413,
"longitude": -123.11499
}
],
"phone": "+16043215582",
"email": "[email protected]",
"duration": 600, // in seconds
"load": 1,
"instructions": "Deliver at loading bay at the back of the building.",
"timeWindows": [
{
"startTime": "09:00",
"endTime": "10:00"
}
],
"customerOrderNumber": "external-1",
"deliveryDate": "2026-08-01",
"tags": [
"refrigerated"
],
"packages": [
{
"barcode": "ref-10000"
}
],
"customFields":{
"Total Cost": "112.43",
"VIP Customer": "yes",
}
}Sample (Sync) Response Payload for unscheduled order
200 Response code is returned when any updates are made to an unscheduled order.
{
"actionName": "update",
"status": "finished",
"actionSummary":
{
"orderUri": "/v2/orders/7a29ada8-6438-4756-b8e7-a713ca9bc0f3",
"unpublishedChanges": false
}
}The response payload will include the following fields:
| Field | Type | Description |
|---|---|---|
| actionName | String | The action being performed. Always update for this endpoint. |
| status | String | Status of the action. Returns finished on a 200 andpending on a 202. |
| actionSummary | Object | The order details of the request |
| orderUri | String | Path to fetch the updated details of the order. |
| unpublishedChanges | Boolean | Indicates whether there are any unpublished changes on the order that require publishing the associated route. Generally false for unscheduled orders. |
Sample (Async) Response Payload for scheduled order
Sample (Async) Response Payload for scheduled order
202 Response code is returned when any updates are made to a scheduled order.
{
"actionUuid": "d25490a5-5699-4445-bc36-1ac9e67d1263",
"actionName": "update",
"status": "pending"
}This is an asynchronous operation, and the edit is not applied till the action reports finished
Check the status of an asynchronous actionWith a
202response code, use the returnedactionUuidto poll for the outcome. See Fetch order action status for the request format and response fields.
The response payload can include the following fields:
| Field | Type | Description |
|---|---|---|
| actionName | String | The action being performed. Always update for this endpoint. |
| actionUuid | String | Identifier for the asynchronous action. Returned on 202 only, use it to poll for the outcome. Not returned on 200, where the update is already applied and there is nothing to poll. |
| status | String | Status of the action. Returns finished on a 200 andpending on a 202. |

